## IdeSimpleToolchain IdeSimpleToolchain |

## Functions

IdeSimpleToolchain * | ide_simple_toolchain_new ()
void | ide_simple_toolchain_set_tool_for_language ()

## Types and Values

#define | IDE_TYPE_SIMPLE_TOOLCHAIN
struct | IdeSimpleToolchainClass
| IdeSimpleToolchain

## Object Hierarchy

        GObject
        ╰── IdeObject
            ╰── IdeToolchain
                ╰── IdeSimpleToolchain

## Description

## Functions

### ide_simple_toolchain_new ()

    IdeSimpleToolchain *
    ide_simple_toolchain_new (const gchar *id,
                              const gchar *display_name);

### ide_simple_toolchain_set_tool_for_language ()

    void
    ide_simple_toolchain_set_tool_for_language
                                   (IdeSimpleToolchain *self,
                                    const gchar *language,
                                    const gchar *tool_id,
                                    const gchar *tool_path);

Gets the path of the compiler executable

#### Parameters

self | an IdeSimpleToolchain |
tool_id | the identifier of the tool like `IDE_TOOLCHAIN_TOOL_CC` |
language | the language of the tool like `IDE_TOOLCHAIN_LANGUAGE_C`. |
tool_path | The path of |

Since: 3.32

## Types and Values

### IDE_TYPE_SIMPLE_TOOLCHAIN

    #define IDE_TYPE_SIMPLE_TOOLCHAIN (ide_simple_toolchain_get_type())

### struct IdeSimpleToolchainClass

    struct IdeSimpleToolchainClass {
      IdeToolchainClass parent;
    };

### IdeSimpleToolchain

    typedef struct _IdeSimpleToolchain IdeSimpleToolchain;